#!/usr/bin/env gnuplot -c
# == DEFINICIÓ DELS NOMS DELS ARXIUS ==
outputfile = ARG2 # Nom de la imatge resultant (sense extensió)
datafile = ARG1 # Nom del fitxer de dades que es vol usar

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 10cm, 7cm
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel "$t \\, (\\si{\\second})$"
set ylabel "$\\Delta T \\, (\\si{\\celsius})$"

# Opcions per la llegenda:
set key off

plot [-25:325][20.1:21.3] datafile u 1:2:(1):(0.2) t "Dades experimentals" w xyerr

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar a l'ordinador per veure més o menys
# com a sortit el plot sense haver d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'

replot
